%define short_name commons-codec

Name: jakarta-%short_name
Version: 1.3
Release: alt2
Summary: Jakarta Commons Codec Package
License: Apache Software License
Group: Development/Java
Url: http://jakarta.apache.org/commons/codec/
Source0: commons-codec-1.3-dev.tar.bz2
Patch0: jakarta-commons-codec-1.3-buildscript.patch
BuildPreReq: /proc rpm-build-java
BuildRequires: ant ant-junit junit
BuildArch: noarch

%description
Commons Codec is an attempt to provide definitive implementations of
commonly used encoders and decoders.

%package javadoc
Summary: Javadoc for %name
Group: Development/Java

%description javadoc
Javadoc for %name.

%prep
%setup -q -n codec
%__subst 's|../LICENSE|LICENSE.txt|' build.xml
%__subst 's|http://java.sun.com/products/jdk/1.3/docs/api/||' build.xml

# FIXME Remove SoundexTest which is failing
# and thus preventing the build to proceed.
# This problem has been communicated upstream Bug 31096
%patch0 -p0

%build
%set_classpath %_javadir/junit.jar
%ant_build -Dbuild.sysclasspath=first \
  -Dconf.home=src/conf \
  -Dbuild.home=build \
  -Dsource.home=src/java \
  -Dtest.home=src/test \
  -Ddist.home=dist \
  -Dcomponent.title=%short_name \
  -Dcomponent.version=%version \
  -Dfinal.name=%name \
  -Dextension.name=%short_name \
  test jar javadoc

%install
# jars
mkdir -p %buildroot%_javadir
cp -p dist/%name.jar %buildroot%_javadir

# javadoc
mkdir -p %buildroot%_javadocdir/%name
cp -pr dist/docs/api/* %buildroot%_javadocdir/%name

%files
%doc LICENSE.txt RELEASE-NOTES.txt
%_javadir/*

%files javadoc
%_javadocdir/%name

%changelog
* Tue Mar 22 2005 Vladimir Lettiev <crux@altlinux.ru> 1.3-alt2
- rpm-build-java macroces
- cvs 20050321

* Sun Oct 24 2004 Vladimir Lettiev <crux@altlinux.ru> 1.3-alt1
- 1.3-dev (cvs 20041024)
- Rebuild for ALT Linux Sisyphus

* Wed Sep 08 2004 Fernando Nasser <fnasser@redhat.com> 0:1.3-2jpp
- Do not stop on test failure

* Tue Sep 07 2004 Fernando Nasser <fnasser@redhat.com> 0:1.3-1jpp
- Upgrade to 1.3
- Rebuilt with Ant 1.6.2

* Thu Jan 22 2004 David Walluck <david@anti-microsoft.org> 0:1.2-1jpp
- 1.2
- use perl instead of patch

* Wed May 28 2003 Ville Skytt <jpackage-discuss at zarb.org> - 0:1.1-1jpp
- First JPackage release.
